import { fetchCourses } from "client-app/api/courses";

import { createResourceActions } from "client-app/redux_resources";
const resourceActions = createResourceActions("courses1");

/**
 * Action creator to fetch courses data
 * @param {Object} contexts
 * @return {Object} redux action
 */
export function loadCoursesAction(contexts) {
  return dispatch => {
    dispatch(resourceActions.loadingForContextAction(contexts));
    return fetchCourses()
      .then(response => {
        const courses = response;

        dispatch(
          resourceActions.replaceAction({
            contexts,
            data: courses,
            ids: Object.keys(courses),
            links: [],
            meta: []
          })
        );
      })
      .catch(() => {
        dispatch(resourceActions.loadErrorForContextAction(contexts));
      });
  };
}
