import axios from "axios";
//import qs from "qs";
import courses from "./courses.json";
import { responseErrorInterceptor } from "../interceptors";
import delay from "../delay";

const axiosInstance = axios.create({
  baseURL: "/api/v4/courses"
});

axiosInstance.interceptors.response.use(undefined, responseErrorInterceptor);

/**
 * Fetch courses data
 * @return {Promise} Promise with the response
 */
export function fetchCourses() {
  //   const query = {
  //     page: { limit: 1000 }
  //   };
  //   const url = `?${qs.stringify(query)}`;
  //   return axiosInstance.get(url);
  return new Promise(resolve => {
    setTimeout(() => {
      resolve(Object.assign([], courses));
    }, delay);
  });
}
