import React from "react";
import PropTypes from "prop-types";
import { loadStates } from "client-app/constants/load_states";

//components
//import { LoadingComponent } from "client-app/components/loading_component";

/**
 * Following component is used for load the course table
 * data.
 */
export class CourseComponent extends React.PureComponent {
  static propTypes = {
    coursesLoadState: PropTypes.string.isRequired
  };

  render() {
    const { coursesLoadState, courses } = this.props;
    let usersComponent;
    if (!coursesLoadState || coursesLoadState == loadStates.loading) {
      usersComponent = <div>aaa raha hai</div>;
    } else
      usersComponent = (
        <table className="table">
          <thead>
            <tr>
              <th>&nbsp;</th>
              <th>Title</th>
              <th>Author</th>
              <th>Category</th>
              <th>Length</th>
            </tr>
          </thead>
          <tbody>
            {Object.values(courses).map(course => (
              <tr key={course.id}>
                <td>
                  <a
                    href={course.watchHref}
                    rel="noopener noreferrer"
                    target="_blank"
                  >
                    Watch
                  </a>
                </td>
                <td>{course.title}</td>
                <td>{course.authorId}</td>
                <td>{course.category}</td>
                <td>{course.length}</td>
              </tr>
            ))}
          </tbody>
        </table>
      );

    return <div>{usersComponent}</div>;
  }
}
