import { connect } from "react-redux";
import flowRight from "lodash.flowright";

// Components
import { CourseComponent } from "client-app/components/course_component";
//HOCs
import { withCoursesLoader } from "client-app/hoc";

// Selectors
import { coursesResourceSelectors } from "client-app/selectors/data_selectors";

function mapStateToProps(state) {
  const context = "courses1";
  return {
    coursesLoadState: coursesResourceSelectors.createContextLoadStateSelectorWithContextString(
      context
    )(state),
    courses: coursesResourceSelectors.dataSelector(state)
  };
}

export const CourseContainer = flowRight(
  withCoursesLoader,
  component => {
    return {
      WrappedComponent: component,
      context: "courses1"
    };
  },
  connect(mapStateToProps)
)(CourseComponent);
